pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/48085: misc/openoffice3 fails to build

>Number:         48085
>Category:       pkg
>Synopsis:       net/openoffice3 fails to buidl
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Jul 26 18:10:00 +0000 2013
>Originator:     Greg Oster
>Release:        NetBSD 6.1
System: NetBSD mickey 6.1 NetBSD 6.1 (QUAD) #0: Sun May 12 20:43:01 CST 2013 
Architecture: x86_64
Machine: amd64

        misc/openoffice3 fails to build with the following errors:

No package 'mozilla-xpcom' found
Package mozilla-xpcom was not found in the pkg-config search path.
Perhaps you should add the directory containing `mozilla-xpcom.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mozilla-xpcom' found
checking for libxul ... Package 'libxul' requires 'nspr >= 4.10.0' but version 
of nspr is 4.10
configure: error: Library requirements (libxul ) not met; consider adjusting 
the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard 
prefix so pkg-config can find them.
*** Error code 1

make: stopped in /usr/pkgsrc/misc/openoffice3
*** Error code 1

 Of note is that it wants version 4.10.0 of nspr, but only 4.10 is availble.


        cd /usr/pkgsrc/misc/openoffice3
        make install package clean

        make version 4.10.0 of nspr the same as 4.10, or tell openoffice3 that 
4.10 is 'good enough'?

Home | Main Index | Thread Index | Old Index